2016/05/02

[androidstudio]AndroidStudio 1.5から2.1にする

したくなかったのだが、PCを新しくしたし、今から1.5を探してインストールするのもメリットがすくなさそうなので、Android Studio2.1用のプロジェクトに変更することにした。


前の環境はまったく取り込まず、作ったプロジェクトだけ持ってくることにした。
プロジェクトを開くとSyncエラーが出る。

 

今回私が賢かったのは、プロジェクトをgitで管理していたことだ。
なんでもいいのだけど、だいたいAndroidでなにか作るときは使い捨てのアプリが多いので、何も管理していなかったのだ。
バージョン管理していれば、少なくとも「元に戻せない」ということだけはなくなる。
うん、当たり前やん、と言われそうなのだが。。。

 

そしてようやく気付いたのだが、AndroidStudioのエラー修正提案に従っていくと、app/build.gradleじゃなくて、./build.gradleの方を変更してしまうようだ。
「buildToolsVersion」が新しくなっていたのだが、「バージョンが変わっている」というところまでは見抜いてくれたものの、その提案通りに修正すると、build.gradleの方に項目を追加していた。

  • app/build.gradle
    • buildToolsVersionを現状に合わせる
    • compile 'com.android.support:appcompat-v7:x.x.x'を現状に合わせる
    • compile 'com.android.support:design:x.x.0'を現状に合わせる
  • gradle/wrapper/gradle-wrapper.propertiesをgradle-2.10-all.zipにする

このくらいの変更でいいのかな?

0 件のコメント:

コメントを投稿

コメントありがとうございます。
スパムかもしれない、と私が思ったら、
申し訳ないですが勝手に削除することもあります。